
QGIS Application - Bug report #10111

"Save as" is not working with rasters

2014-04-24 02:53 AM - Filipe Dias

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18577

Description

Steps to reproduce:

Add a raster

Save as

Select a destination folder

Press OK

Dialog closes but no raster was saved

History

#1 - 2014-04-25 11:18 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi Filipe,

I cannot confirm.

If you are asked to choose a folder as output, then it means that the "create vrt" option is active, this means that the output will be a .vrt instead of a .tif

If it is not really working for you then it can be data/projection related, please attach sample data.

#2 - 2014-04-25 11:34 AM - Filipe Dias

"Create vrt" was not activated. I'm attaching a sample raster. Just try to do "save as".

#3 - 2014-04-25 11:36 AM - Giovanni Manghi

Filipe Dias wrote:

"Create vrt" was not activated. I'm attaching a sample raster. Just try to do "save as".

then it asks for you for a target/output file, not folder

#4 - 2014-04-25 11:51 AM - Filipe Dias
- Status changed from Feedback to Closed

It wasnt working because I hadnt pressed the "layer extent" button. I don't think this is the right behaviour from the user point of view, QGIS should select

the layer extent by default.
